// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /baseOperationLog */
export async function update4(
  body: API.BaseOperationLogUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.RBaseOperationLog>(`/base/baseOperationLog`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /baseOperationLog */
export async function save4(body: API.BaseOperationLogSaveVO, options?: { [key: string]: any }) {
  return request<API.RBaseOperationLog>(`/base/baseOperationLog`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /baseOperationLog */
export async function delete5(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/base/baseOperationLog`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /baseOperationLog/${param0} */
export async function get5(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get5Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RBaseOperationLogResultVO>(`/base/baseOperationLog/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 清空日志 DELETE /baseOperationLog/clear */
export async function clear(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.clearParams,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/base/baseOperationLog/clear`, {
    method: 'DELETE',
    params: {
      // type has a default value: 1
      type: '1',
      ...params
    },
    ...(options || {})
  })
}

/** 复制 POST /baseOperationLog/copy */
export async function copy4(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy4Params,
  options?: { [key: string]: any }
) {
  return request<API.RBaseOperationLog>(`/base/baseOperationLog/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /baseOperationLog/detail */
export async function getDetail5(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail5Params,
  options?: { [key: string]: any }
) {
  return request<API.RBaseOperationLogResultVO>(`/base/baseOperationLog/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /baseOperationLog/findByIds */
export async function findByIds5(body: number[], options?: { [key: string]: any }) {
  return request<API.RListBaseOperationLogResultVO>(`/base/baseOperationLog/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /baseOperationLog/page */
export async function page5(
  body: API.PageParamsBaseOperationLogPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageBaseOperationLogResultVO>(`/base/baseOperationLog/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /baseOperationLog/query */
export async function query5(
  body: API.BaseOperationLogPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RListBaseOperationLogResultVO>(`/base/baseOperationLog/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
